CommitLogReplayer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db.commitlog

## Class CommitLogReplayer

- java.lang.Object
- - org.apache.cassandra.db.commitlog.CommitLogReplayer

-     public class CommitLogReplayer
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CommitLogReplayer.CommitLogReplayException`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `blockForWrites()`
    `static CommitLogReplayer` | `construct(CommitLog commitLog)`
    `boolean` | `logAndCheckIfShouldSkip(java.io.File file, CommitLogDescriptor desc)`
    `protected boolean` | `pointInTimeExceeded(Mutation fm)`
    `void` | `recover(java.io.File[] clogs)`
    `void` | `recover(java.io.File file, boolean tolerateTruncation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### construct

          public static CommitLogReplayer construct(CommitLog commitLog)

    - #### recover

          public void recover(java.io.File[] clogs)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### blockForWrites

          public int blockForWrites()

    - #### recover

          public void recover(java.io.File file,
                              boolean tolerateTruncation)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### logAndCheckIfShouldSkip

          public boolean logAndCheckIfShouldSkip(java.io.File file,
                                                 CommitLogDescriptor desc)

    - #### pointInTimeExceeded

          protected boolean pointInTimeExceeded(Mutation fm)

Copyright © 2018 The Apache Software Foundation